<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="#B3000000"
        android:id="@+id/root_layout">

    <ImageView
            android:id="@+id/iv_bg"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:scaleType="centerCrop"/>

    <View
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="#33282E3F" />

    <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:background="@color/transparent">

        <ImageView
                android:id="@+id/iv_close"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="50dp"
                android:layout_marginEnd="24dp"
                android:padding="12dp"
                android:src="@drawable/icon_play_meditation_time_off_close"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintEnd_toEndOf="parent" />

        <TextView
                android:id="@+id/tv_title"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="90dp"
                android:text="定时关闭"
                android:textColor="@color/white"
                android:textStyle="bold"
                android:textSize="24sp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toBottomOf="@id/iv_close" />

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="horizontal"
                android:gravity="center"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintTop_toTopOf="parent"
                app:layout_constraintBottom_toBottomOf="parent">

            <com.weigan.loopview.LoopView
                    android:id="@+id/wheel_hour"
                    android:layout_width="50dp"
                    android:layout_height="240dp"
                    app:awv_itemsVisibleCount="4"
                    app:awv_textsize="36"
                    app:awv_dividerTextColor="0x00FFFFFF"
                    app:awv_isLoop="false"
                    app:awv_outerTextColor="0x66FFFFFF"
                    app:awv_centerTextColor="@color/white" />

            <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:text="小时"
                    android:textColor="@color/white"
                    android:textSize="18sp" />

            <com.weigan.loopview.LoopView
                    android:id="@+id/wheel_minute"
                    android:layout_width="50dp"
                    android:layout_height="240dp"
                    android:layout_marginStart="60dp"
                    app:awv_itemsVisibleCount="4"
                    app:awv_textsize="36"
                    app:awv_dividerTextColor="0x00FFFFFF"
                    app:awv_isLoop="false"
                    app:awv_outerTextColor="0x66FFFFFF"
                    app:awv_centerTextColor="@color/white" />

            <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="16dp"
                    android:text="分钟"
                    android:textColor="@color/white"
                    android:textSize="18sp" />

        </LinearLayout>

        <TextView
                android:id="@+id/tv_cancel_time_off"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginBottom="50dp"
                android:layout_marginHorizontal="16dp"
                android:background="@drawable/bg_cancel_play_meditation_time_off"
                android:text="关闭定时"
                android:textColor="@color/white"
                android:textSize="16sp"
                android:gravity="center"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintBottom_toBottomOf="parent" />

        <TextView
                android:id="@+id/tv_save_setting"
                android:layout_width="match_parent"
                android:layout_height="48dp"
                android:layout_marginBottom="28dp"
                android:layout_marginHorizontal="16dp"
                android:background="@drawable/bg_save_play_meditation_time_off"
                android:text="保存设置"
                android:textColor="#FF282E3F"
                android:textSize="16sp"
                android:gravity="center"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintBottom_toTopOf="@id/tv_cancel_time_off" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</FrameLayout>